Subject: bug#79056: tab-bar-tests-quit-restore-window sometimes fails in *compilation* buffer

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 16:07:50 +0300

> Cc: [email-masked]
> From: Juri Linkov <[email-masked]>
> Date: Tue, 22 Jul 2025 09:38:35 +0300
> 
> > +  (skip-when (or noninteractive (null (getenv "TERM"))))
> 
> If there is no reliable way to create terminal frames in noninteractive
> tests, then probably such tests should be skipped by default to be used
> only manually when someone will remember to run them periodically.

Why not allow them in interactive runs, as the patch above does?

> PS: Many web browsers support headless mode that is used in test automation.
> I wonder how it would be possible to implement headless mode in Emacs?

It should be possible, if someone writes the headless back-end for the
display engine, akin to xterm.c+xfns.c for X, just much simpler.
(Probably starting with term.c should be easier.)

Patches welcome.